VERSION 4.00
Begin VB.Form Form1 
   Caption         =   "Dynamenu sample from BlackBeltVB.com"
   ClientHeight    =   3570
   ClientLeft      =   1635
   ClientTop       =   1830
   ClientWidth     =   5910
   Height          =   4260
   Left            =   1575
   LinkTopic       =   "Form1"
   ScaleHeight     =   3570
   ScaleWidth      =   5910
   Top             =   1200
   Width           =   6030
   Begin VB.OptionButton optDrive 
      Caption         =   "G:"
      Height          =   195
      Index           =   5
      Left            =   3420
      TabIndex        =   10
      Top             =   60
      Width           =   495
   End
   Begin VB.OptionButton optDrive 
      Caption         =   "F:"
      Height          =   195
      Index           =   4
      Left            =   2760
      TabIndex        =   9
      Top             =   60
      Width           =   495
   End
   Begin VB.OptionButton optDrive 
      Caption         =   "E:"
      Height          =   195
      Index           =   3
      Left            =   2100
      TabIndex        =   8
      Top             =   60
      Width           =   495
   End
   Begin VB.OptionButton optDrive 
      Caption         =   "D:"
      Height          =   195
      Index           =   2
      Left            =   1440
      TabIndex        =   7
      Top             =   60
      Width           =   495
   End
   Begin VB.OptionButton optDrive 
      Caption         =   "C:"
      Height          =   195
      Index           =   1
      Left            =   780
      TabIndex        =   6
      Top             =   60
      Width           =   495
   End
   Begin VB.OptionButton optDrive 
      Caption         =   "A:"
      Height          =   195
      Index           =   0
      Left            =   120
      TabIndex        =   5
      Top             =   60
      Width           =   495
   End
   Begin VB.ListBox List1 
      Height          =   2205
      Left            =   2220
      Sorted          =   -1  'True
      TabIndex        =   3
      Top             =   1320
      Width           =   2895
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Files:"
      Height          =   255
      Index           =   1
      Left            =   1680
      TabIndex        =   4
      Top             =   1320
      Width           =   435
   End
   Begin VB.Label lblDir 
      BorderStyle     =   1  'Fixed Single
      Height          =   255
      Left            =   2220
      TabIndex        =   2
      Top             =   960
      Width           =   2895
   End
   Begin VB.Label Label2 
      Alignment       =   1  'Right Justify
      Caption         =   "Selected Directory:"
      Height          =   255
      Index           =   0
      Left            =   720
      TabIndex        =   1
      Top             =   960
      Width           =   1395
   End
   Begin VB.Label Label1 
      Caption         =   "This sample shows how to dynamically add menu items using the VB Load statement."
      Height          =   435
      Left            =   120
      TabIndex        =   0
      Top             =   360
      Width           =   5655
   End
   Begin VB.Menu mnuDirs 
      Caption         =   "&Directories"
      Begin VB.Menu mnuLevel1 
         Caption         =   "Level 1"
         Index           =   0
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

' Dynamenu sample from BlackBeltVB.com
' http://blackbeltvb.com
'
' Written by Matt Hart
' Copyright 1999 by Matt Hart
'
' This software is FREEWARE. You may use it as you see fit for 
' your own projects but you may not re-sell the original or the 
' source code. Do not copy this sample to a collection, such as
' a CD-ROM archive. You may link directly to the original sample
' using "http://blackbeltvb.com/dynamenu.htm"
' 
' No warranty express or implied, is given as to the use of this
' program. Use at your own risk.
'
' This one demonstrates the VB Load statement, creating
' menu items on the fly.

Private Sub Form_Load()
    optDrive(1).Value = True
End Sub

Private Sub mnuLevel1_Click(Index As Integer)
    On Local Error Resume Next
    lblDir.Caption = mnuLevel1(Index).Caption
    Dim aFiles As String
    aFiles = Dir$(lblDir.Caption & "\*.*", vbDirectory)
    List1.Clear
    Do While Len(aFiles)
        If GetAttr(lblDir.Caption & "\" & aFiles) And vbDirectory Then
            List1.AddItem "[" & aFiles & "]"
        Else
            List1.AddItem aFiles
        End If
        aFiles = Dir$
    Loop
End Sub

Private Sub optDrive_Click(Index As Integer)
    Static iCount As Integer
    On Local Error Resume Next
    If iCount Then iCount = iCount - 1
    Do Until iCount = 0
        Unload mnuLevel1(iCount)
        iCount = iCount - 1
    Loop
    Dim aDir As String
    aDir = Dir$(optDrive(Index).Caption & "\*.*", vbDirectory)
    Do While Len(aDir)
        If GetAttr(optDrive(Index).Caption & "\" & aDir) And vbDirectory Then
            If iCount > 0 Then Load mnuLevel1(iCount)
            mnuLevel1(iCount).Caption = optDrive(Index).Caption & "\" & aDir
            mnuLevel1(iCount).Visible = True
            iCount = iCount + 1
        End If
        aDir = Dir$
    Loop
    If iCount = 0 Then mnuLevel1(iCount).Caption = "[no directories]"
End Sub
